Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::Interrupted_Exception Class Reference

`#include <SynchronizationExceptions.h>`

Inheritance diagram for ZThread::Interrupted_Exception::

List of all members.

## Public Methods
| Interrupted_Exception (const char *) throw ()
| Create a new exception.
| Interrupted_Exception () throw ()
| Create a new exception.

## Detailed Description

Used to describe an interrupted operation that would have normally blocked the calling thread

The documentation for this class was generated from the following file:

- SynchronizationExceptions.h